#!/bin/csh
### DOpcodegps2satdata - extracts PCODE GPS nav and makes ascii satdata file.
# written 18oct95 smsmith gdcmp1 mod from DOgps2satdata (Trimble gps)
# mod 11mar96 smsmith mlvl62: call PCODEinpf2satdata (smoothing) instead of 
#		Doawk.PCODEinpf2satdata (decimating).
# mod 08apr96 smsmith mlvl62: compress GPTinpf file too; gps2satdata.$1.log
#		now refers to PCODE instead of GPT (trimble 4000AX).
# mod J.S.Charters 98oct10 Fix the problem with ZDA messages. This will only 
#	work during 1998.
# mod J.S.Charters 98nov11 Move the satdata files to the 
#			CRUISE.DATA/GPS directory.
# mod smsmith 05jan2000 gdcultra - update grep to 2000. (needs yearly change)

if ($#argv != 1) then
	echo "" 
	echo " DOpcodegps2satdata: "
	echo " Convert the PCODEinpf GPS file" 
	echo "   to makes 1 minute satdata"
	echo "   file (also compresses PCODEinpf file)."
	echo ""
	echo "   usage: DOpcodegps2satdata    extent "
	echo " example: DOpcodegps2satdata    92nov21"
  exit
endif
#
#
unset noclobber
cd $DIRUWDATA/NAV/PCODE
if (-e $DIRUWDATA/NAV/ASHTECH/ASHinpf.$1.Z ) then
  echo YES
else
  echo $DIRUWDATA/NAV/ASHTECH/ASHinpf.$1
endif

#
/bin/cp /dev/null gps2satdata.$1.log
#
if (-e PCODEinpf.$1.Z) then
   set gps_fileZ = PCODEinpf.$1.Z
echo "compressed version of PCODEinpf file found" >> gps2satdata.$1.log
   uncompress -f $gps_fileZ;
   set gps_file = PCODEinpf.$1
else if (-e PCODEinpf.$1) then
   echo "uncompressed version of PCODEinpf file found" >> gps2satdata.$1.log
   set gps_file = PCODEinpf.$1
else if (-e $DIRUWDATA/NAV/ASHTECH/ASHinpf.$1.Z) then
   set gps_fileZ = $DIRUWDATA/NAV/ASHTECH/ASHinpf.$1.Z
   set gps_file  = $DIRUWDATA/NAV/ASHTECH/ASHinpf.$1
   echo "compressed version of ASHinpf file found" >> gps2satdata.$1.log
   uncompress -f $gps_fileZ
else if (-e $DIRUWDATA/NAV/ASHTECH/ASHinpf.$1) then
   set gps_file  = $DIRUWDATA/NAV/ASHTECH/ASHinpf.$1	
   echo "uncompressed version of ASHinpf file found" >> gps2satdata.$1.log
else
   echo "DOpcodegps2satdata: PCODEinpf.$1 \(.Z\) file not found\!" >> gps2satdata.$1.log
   exit
endif
#
# 
#/UWDSYS/bin/DOawk.PCODEinpf2satdata PCODEinpf.$1  >> satdata.$1 
# replace smsmith decimate to 1st fix after minute code by 
# Scheirer PCODE smoothing code:
## change year in grep statement: e.g. 2000 to 2001, each new year.
echo gps_file = $gps_file
(grep -v 200.,00,00,\* $gps_file | /SCG.PROC/sproc/bin/ash_to_pcode |\
      /UWDSYS/bin/PCODEinpf2satdata -V >! satdata.$1 ) >&! gps2satdata.$1.log
#
mv -f satdata.$1 ..
compress -f $gps_file >> gps2satdata.$1.log
#
/bin/rm -f comment.file     >> gps2satdata.$1.log
/bin/rm -f gps2satdata.list >> gps2satdata.$1.log
# 
#end
