#!/bin/nawk -f
#
# Extracts time and ct data from the ins data files
#
# example: ct_data.awk n=3 970809.dat
#  will extract the third field (salinity of the first pair)
#  and output time/salinity pairs
# 
# 
#
BEGIN {
	max = -99.;
	min = 9999.;
	if ( scale == 0) range = 1;
}
{
	if ( $1 == "GPSTIM") {
		split ( $2, time, ",");
		hour = time[4] + (time[5] / 60.) + ( time[6] / 3600.);
		next;
	}
	if ( $1 == "INSCTS" ) {
		split ( $2, data, ",");
		if (data[n] <= 0) next
		printf "%f %f\n",hour, data[n];
		if ( data[n] > max ) {
			max = data[n];
		} 
		if ( data[n] < min ) {
			min = data[n];
		}
		next;
	}
}
END {
	if ( max < -10) max = 1;
	if ( min > 1000) min = -1;
	max = (int ((max + scale) / scale )) * scale;
	min = (int ((min ) / scale )) * scale;
	printf "%04d/%04d\n",min,max > "range";
}
